import { CSSProperties, HTMLAttributes } from 'react';
export interface NotificationProps extends Omit<HTMLAttributes<HTMLElement>, 'className' | 'ref' | 'id' | 'title'> {
    style?: CSSProperties;
    className?: string | string[];
    id?: number;
    top?: number;
    bottom?: number;
    title?: string | React.ReactNode;
    message?: string | React.ReactNode;
    type?: 'success' | 'warning' | 'info' | 'error' | '';
    duration?: number;
    position?: 'top-right' | 'top-left' | 'bottom-right' | 'bottom-left';
    showClose?: boolean;
    handleClose: (id: number) => void;
}
export type NotificationType = {
    id?: number;
    top?: number;
    bottom?: number;
    title?: string | React.ReactNode;
    message?: string | React.ReactNode;
    type?: 'success' | 'warning' | 'info' | 'error' | '';
    duration?: number;
    position?: 'top-right' | 'top-left' | 'bottom-right' | 'bottom-left';
    showClose?: boolean;
};
